import es, gamethread, playerlib, langlib
from urllib import urlopen

# Time in minutes between updates
updatetime = 3
# SourceBans URL
sb_url = 'bans.net4all.su'
# SourceBans check.php URL
sb_url_check = 'http://bans.net4all.su/check.php'
# Admin List
admins = ['STEAM_0:1:20193530', 'STEAM_0:1:23456789']

banlist = urlopen(sb_url_check).read().split()
text_str = langlib.Strings(es.getAddonPath("sb_es") + "/strings.ini")

info = es.AddonInfo()
info.version = "0.2.1"
info.author = "Hedgehog & sega47rus"
info.name = "SourceBans: ES"
info.url = "http://n4a-studios.ru/"
info.date = "16.10.2010"
es.ServerVar(info.name, info.version, 'Sourcebans addon for EventScripts by Hedgehog').makepublic()

def load():
	if not es.exists('saycommand', '!updatebans'):
		es.regsaycmd('!updatebans', 'sb_es/updatebans', 'Update Bans')

def unload():
	if es.exists('saycommand', '!updatebans'):
		es.unregsaycmd('!updatebans')
		
def round_start(ev): 
	gamethread.delayedname(updatetime*60, '_rban', rban)

def round_end(ev): 
	gamethread.cancelDelayed('_rban') 

def player_activate(ev):
	userid = ev['userid']
	player = playerlib.getPlayer(userid) 
	
	if player.steamid in banlist:
		player.kick(text_str('You are banned', {'url': sb_url}, lang=player.lang))

def rban():
	global banlist
	banlist = urlopen(sb_url_check).read().split()
	for ply in playerlib.getPlayerList('#all'):
		if ply.steamid in banlist:
			player.kick(text_str('You are banned', {'url': sb_url}, lang=player.lang))
	gamethread.delayedname(updatetime*60, '_rban', rban)
	
def updatebans():
	global banlist
	userid = es.getcmduserid()
	player = playerlib.getPlayer(userid)
	
	if player.steamid in admins:
		banlist = urlopen(sb_url_check).read().split()
		es.tell(userid, '#multi', text_str('Update successfully', lang=player.lang))
		for ply in playerlib.getPlayerList('#all'):
			if ply.steamid in banlist:
				ply.kick(text_str('You are banned', {'url': sb_url}, lang=player.lang))
	else:
		es.tell(userid, '#multi', text_str('You are not admin', lang=player.lang))